<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
  	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  	<title>Doozer - Specifications</title>
  	<style>
      BODY { font-family: "Segoe UI", "Gill Sans", Optima, Helvetica, Tahoma, Arial, Sans-Serif; font-size: 15px; padding: 20px 100px; }
  	  P, TD, LI, PRE, CODE { color: gray; }
  	  PRE { background-color: #F0F0F0; padding: 15px; }
  	  #header * { margin: 0; padding: 0; }
  	  #header h1 { color: navy; }
  	  #navigation { margin-top: 15px; background: #E0E0E0; padding: 5px 15px; font-weight: bolder; text-align: center; }
  	  #navigation A, #navigation SPAN { margin-right: 20px; text-shadow: 3px 3px 4px #999; }
  	  #navigation A { color: black; }
  	  #navigation A:hover { color: navy; }
  	  #navigation SPAN { color: white; }
  	  #content A { color: navy; }
  	  #content A:hover { color: blue; }
  	  #footer { margin: 15px 0px; }
  	  #footer A { color: gray; }
  	  #footer #info { color: gray; float:right; }
  	</style>
  </head>
  <body>
    <div id="container">
      <div id="header">
        <h1>Bloggit</h1>
        <h4>Static Blog/Site Generator</h4>
      </div>
      <div id="navigation">
        
          
            <a href="index.html">Index</a>
          
        
          
            <span>Specifications</span>
          
        
      </div>
      <div id="content">
        <h2>Bloggit should:</h2>

<ul>
<li>Do something?</li>
</ul>

<h2>Page should:</h2>

<ul>
<li>raise an error if trying to load a <code>Page</code> from a non-existant file</li>
<li>parse <code>Page</code> from file</li>
<li>parse status and slug</li>
</ul>

<h2>Post should:</h2>

<ul>
<li>raise an error if trying to load a <code>Post</code> from a non-existant file</li>
<li>parse <code>Post</code> from file</li>
<li>parse publish date and slug</li>
</ul>

<h2>Site should:</h2>

<ul>
<li>not allow <code>Site.new</code></li>
<li>not create a <code>Site</code> object unless path is a directory</li>
<li>create a <code>Site</code> object from a file path</li>
</ul>

<h2>Template should:</h2>

<ul>
<li>render templates from text</li>
<li>generate URLs correctly</li>
<li>render templates from file</li>
</ul>

<h2>Text Formatter should:</h2>

<ul>
<li>render text using Textile</li>
<li>render text using Markdown</li>
<li>raise an error when trying to use an undefined format</li>
<li>allow registration of custom text formatter</li>
</ul>
      </div>
      <div id="footer">
        <div id="info">
          Created by <a href="http://www.mattmccray.com">M@ McCray</a>
        </div>
        <a href="#">^ back to the top</a>
      </div>
    </div>
  </body>
</html>


